package com.ynet.life.credit.business;

import com.alibaba.fastjson.JSON;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeAction;
import com.ynet.life.credit.constant.CommonCont;
import com.ynet.life.credit.dao.SqlExcutor;
import com.ynet.life.credit.util.AESutils;
import com.ynet.life.credit.util.EncryptUtils;
import com.ynet.life.credit.util.RequestUtil;
import com.ynet.life.credit.vo.input.CreditDetailVo;
import com.ynet.life.credit.vo.input.InBaseVo;
import com.ynet.life.credit.vo.input.ZJGAuth;
import com.ynet.life.credit.vo.output.OutBaseVo;
import java.util.List;
import org.apache.commons.beanutils.BeanUtils;
import org.apache.cxf.jaxrs.client.WebClient;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/BaseApiExcutor.class */
public class BaseApiExcutor<T> extends LifeAction {
    private static final String CREDIT_COMPONENT = "【征信接口操作类】";
    private static String key = "905AC9821BD77DAB";
    private static String user = CommonCont.user;

    public String execute(Context context) throws GENEException {
        new InBaseVo();
        new OutBaseVo();
        new SqlExcutor();
        return "0";
    }

    protected String doRequest(InBaseVo vo) throws Exception {
        String apiAdd = vo.getApiAddr();
        ZJGAuth zjgAuth = new ZJGAuth();
        BeanUtils.copyProperties(zjgAuth, vo);
        String responseStr = RequestUtil.doRequest(zjgAuth.toString(), apiAdd);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "接口返回原码==".concat(String.valueOf(responseStr)));
        return responseStr;
    }

    protected String doGet(InBaseVo vo, List<String> keyList) throws Exception {
        String reqStr = vo.toString();
        String apiAdd = vo.getApiAddr();
        new AESutils();
        String responseStr = RequestUtil.startGet(apiAdd, reqStr, keyList);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "接口返回原码==".concat(String.valueOf(responseStr)));
        return EncryptUtils.decrypt(responseStr, key);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Object parseStringToObject(String paramStr, Class clazz) {
        return convertToBean(paramStr, clazz);
    }

    public static <T> T convertToBean(String str, Class<T> cls) {
        return (T) JSON.parseObject(str, cls);
    }

    public static String saveAuth(InBaseVo vo, String url) throws Exception {
        WebClient client = WebClient.create(url);
        client.accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        ZJGAuth zjgAuth = new ZJGAuth();
        BeanUtils.copyProperties(zjgAuth, vo);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==zjgAuth:");
        String param = EncryptUtils.encrypt(JSON.toJSONString(zjgAuth), key);
        String result = (String) client.post(param, String.class);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "响应参数==".concat(String.valueOf(result)));
        return EncryptUtils.decrypt(result, key);
    }

    public static String getICInfo(CreditDetailVo vo, String url) {
        WebClient client = WebClient.create(url);
        client.accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        String busiSeq = vo.getBusiSeq();
        String certificateType = vo.getCardType();
        String certifiCateCode = vo.getCardCode();
        String queryUser = user;
        EncryptUtils.encrypt(busiSeq, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==busiSeq".concat(String.valueOf(busiSeq)));
        EncryptUtils.encrypt(certificateType, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==cardType".concat(String.valueOf(certificateType)));
        String strCertifiCateCode = EncryptUtils.encrypt(certifiCateCode, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==cardCode".concat(String.valueOf(certifiCateCode)));
        String strQueryUser = EncryptUtils.encrypt(queryUser, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==wsUser".concat(String.valueOf(queryUser)));
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "最终请求参数key=====" + key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "最终请求参数certifiCateCode=====".concat(String.valueOf(certifiCateCode)));
        client.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密后]==" + client.getCurrentURI());
        String finalResult = EncryptUtils.decrypt((String) client.get(String.class), key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "响应参数【解密后】==".concat(String.valueOf(finalResult)));
        return finalResult;
    }

    public static String getReport(CreditDetailVo vo, String url) {
        WebClient client = WebClient.create(url);
        client.accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        String busiSeq = vo.getBusiSeq();
        String certificateType = vo.getCardType();
        String certifiCateCode = vo.getCardCode();
        String queryUser = user;
        String strBusiSeq = EncryptUtils.encrypt(busiSeq, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==busiSeq".concat(String.valueOf(busiSeq)));
        String strCertificateType = EncryptUtils.encrypt(certificateType, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==cardType".concat(String.valueOf(certificateType)));
        String strCertifiCateCode = EncryptUtils.encrypt(certifiCateCode, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==cardCode".concat(String.valueOf(certifiCateCode)));
        String strQueryUser = EncryptUtils.encrypt(queryUser, key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密前]==wsUser".concat(String.valueOf(queryUser)));
        client.replaceQueryParam("busiSeq", new Object[]{strBusiSeq}).replaceQueryParam("cardType", new Object[]{strCertificateType}).replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "请求参数[加密后]==" + client.getCurrentURI());
        String finalResult = EncryptUtils.decrypt((String) client.get(String.class), key);
        GENELog.log(CREDIT_COMPONENT, GENELog.INFO, 0, "响应参数【解密后】==".concat(String.valueOf(finalResult)));
        return finalResult;
    }
}
